> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Secret.

> Retrieve a Secret by name. The secret value is not included for security.



## OpenAPI

````yaml /openapi-specs/stainless-processed-openapi.json get /v1/secrets/{name}
openapi: 3.1.0
info:
  title: RunLoop API
  version: '0.1'
  description: >-
    The RunLoop API spec that allows you to host lambda functions and Devboxes
    to enable scaled long running ai workflows.
  contact:
    name: Runloop AI Support
    url: https://runloop.ai
    email: support@runloop.ai
servers:
  - url: https://api.runloop.ai
    description: Runloop API
    variables: {}
security:
  - bearerAuth: []
tags:
  - name: Benchmark
  - name: Blueprint
  - name: Blueprint-Lifecycle
  - name: Blueprint-ObservabilityTools
  - name: Devbox
  - name: Devbox-FileTools
  - name: Devbox-Lifecycle
  - name: Devbox-NetworkTools
  - name: Devbox-ObservabilityTools
  - name: Devbox-PersistenceTools
  - name: Devbox-ShellTools
  - name: Scenario
  - name: ScenarioScorer
  - name: accounts
  - name: agents
  - name: apikeys
  - name: axons
  - name: executions
  - name: gateway-configs
  - name: mcp-configs
  - name: network-policies
  - name: objects
  - name: restricted_keys
  - name: secrets
  - name: streaming
paths:
  /v1/secrets/{name}:
    get:
      tags:
        - secrets
      summary: Get a Secret.
      description: >-
        Retrieve a Secret by name. The secret value is not included for
        security.
      operationId: getSecret
      parameters:
        - name: name
          in: path
          description: The name of the Secret to retrieve.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successfully retrieved the Secret. Value is omitted for security.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecretView'
        '404':
          description: Secret not found.
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Runloop from '@runloop/api-client';

            const client = new Runloop({
              bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
            });

            const secretView = await client.secrets.retrieve('name');

            console.log(secretView.id);
        - lang: Python
          source: |-
            import os
            from runloop_api_client import Runloop

            client = Runloop(
                bearer_token=os.environ.get("RUNLOOP_API_KEY"),  # This is the default and can be omitted
            )
            secret_view = client.secrets.retrieve(
                "name",
            )
            print(secret_view.id)
components:
  schemas:
    SecretView:
      type: object
      description: >-
        A Secret represents a key-value pair that can be securely stored and
        used in Devboxes as environment variables.
      properties:
        id:
          type: string
          description: The unique identifier of the Secret.
        name:
          type: string
          description: >-
            The globally unique name of the Secret. Used as the environment
            variable name in Devboxes.
        create_time_ms:
          type: integer
          format: int64
          description: Creation time of the Secret (Unix timestamp in milliseconds).
        update_time_ms:
          type: integer
          format: int64
          description: Last update time of the Secret (Unix timestamp in milliseconds).
      required:
        - id
        - name
        - create_time_ms
        - update_time_ms
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````